# $Revision: 1.27 $, $Date: 2002/07/20 13:49:37 $
# conditional build
#  --with static
Summary:	Tools for the XFS filesystem
Summary(pl):	Narzdzia do systemu plikw XFS
Name:		xfsprogs
Version:	2.0.6
Release:	1
License:	GPL
Group:		Applications/System
Source0:	ftp://linux-xfs.sgi.com/projects/xfs/download/cmd_tars/%{name}-%{version}.src.tar.gz
Patch0:		%{name}-miscfix-v2.patch
Patch1:		%{name}-install-sh.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bash
BuildRequires:	e2fsprogs-devel
URL:		http://oss.sgi.com/projects/xfs/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	libxfs1

%description
A set of commands to use the XFS filesystem, including mkfs.xfs.

XFS is a high performance journaling filesystem which originated on
the SGI IRIX platform. It is completely multi-threaded, can support
large files and large filesystems, extended attributes, variable block
sizes, is extent based, and makes extensive use of Btrees
(directories, extents, free space) to aid both performance and
scalability.

This implementation is on-disk compatible with the IRIX version of
XFS.

%description -l pl
Zbir komend do uytku z systemem plikw XFS, wczajc w to mkfs.xfs.

XFS jest wysoko wydajnym systemem plikw z kronik, ktry oryginalnie
by uywany na platformie SGI IRIX. Jest to w peni wielowtkowy,
obsugujcy wielkie pliki oraz wielkie systemy, o rozszerzonych
atrybutach, zmiennych wielkociach blokw, mocno wykorzystujcy
B-drzewa by uzyska wysok wydajno oraz skalowalno.

%package devel
Summary:	Header files and libraries to develop XFS software
Summary(pl):	Pliki nagwkowe i biblioteki
Group:		Development/Libraries
Requires:       %{name} = %{version}
Obsoletes:	libxfs1-devel

%description devel
Header files and libraries to develop software which operates on XFS
filesystems.

%description devel -l pl
Pliki nagwkowe i biblioteki potrzebne do rozwoju oprogramowania
operujcego na systemie plikw XFS.

%package static
Summary:	Static XFS software libraries
Summary(pl):	Biblioteki statyczne do XFS
Group:		Development/Libraries

%description static
Static XFS software libraries.

%description static -l pl
Biblioteki statyczne do XFS.

%prep
%setup  -q
%patch0 -p1
%patch1 -p1

%build
DEBUG="%{?debug:-DDEBUG}%{!?debug:-DNDEBUG}"
OPTIMIZER="%{rpmcflags}"
export DEBUG OPTIMIZER
aclocal
%{__autoconf}
%configure \
	%{!?_with_static:--enable-shared-uuid=yes} \
	%{?_with_static:--disable-shared --disable-shared-uuid}

%{__make} \
	%{?_with_static:LTLINK='$(LIBTOOL) --mode=link %{__cc} -all-static' LDFLAGS=-static}

%install
rm -rf $RPM_BUILD_ROOT

DIST_ROOT="$RPM_BUILD_ROOT"
DIST_INSTALL=`pwd`/install.manifest
DIST_INSTALL_DEV=`pwd`/install-dev.manifest
export DIST_ROOT DIST_INSTALL DIST_INSTALL_DEV
%{?_with_static:cp include/builddefs include/builddefs.tmp}
%{?_with_static:sed -e 's/\.lai/.la/' include/builddefs.tmp > include/builddefs}
%{__make} install DIST_MANIFEST="$DIST_INSTALL"
%{__make} install-dev DIST_MANIFEST="$DIST_INSTALL_DEV"

for man in attr_list_by_handle.3 attr_multi_by_handle.3 \
           fd_to_handle.3 free_handle.3 fssetdm_by_handle.3 \
	   handle_to_fshandle.3 open_by_handle.3 path_to_fshandle.3 \
	   readlink_by_handle.3; do
	   	rm -f $RPM_BUILD_ROOT%{_mandir}/man3/$man
		echo ".so path_to_handle.3" \
			> $RPM_BUILD_ROOT%{_mandir}/man3/$man
done

rm -f $RPM_BUILD_ROOT%{_mandir}/man8/xfs_info.8
echo ".so xfs_growfs.8" > $RPM_BUILD_ROOT%{_mandir}/man8/xfs_info.8
ln -sf /lib/libhandle.so.1.0.0 $RPM_BUILD_ROOT%{_libdir}/libhandle.so

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc doc/{CHANGES,CREDITS,README.*}
%attr(755,root,root) /sbin/*
%attr(755,root,root) %{_sbindir}/*
%{!?_with_static:%attr(755,root,root) /lib/lib*.so*}
%{_mandir}/man[185]/*

%files devel
%defattr(644,root,root,755)
%{_mandir}/man3/*
%{_includedir}/xfs

%files static
%defattr(644,root,root,755)
%{_libdir}/*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: xfsprogs.spec,v $
Revision 1.27  2002/07/20 13:49:37  areq
- 2.0.6, STBR
- new %doc

Revision 1.26  2002/05/21 23:15:05  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.25  2002/04/30 13:39:49  pioklo
-update to 2.0.3,STBR

Revision 1.24  2002/04/10 18:42:31  kloczek
- libxfs1{,-devel} added to Obsoletes for allow upgrade from MDK.

Revision 1.23  2002/04/09 19:28:04  ankry
- removed man section from .so redirections
- release 3

Revision 1.22  2002/04/08 14:30:07  areq
- add link to libhandle.so
- added Requires %%{name} = %%{version} to devel package
- Relese 2, STBR

Revision 1.21  2002/04/08 12:32:09  areq
- up to 2.0.1, STBR

Revision 1.20  2002/04/02 16:30:47  kloczek
- remove all obsoleted BOOT modyfications,
- pass correctly %%{rpmcflags} to compile ption,
- added static subpackage,
- regenereate ac files.

Revision 1.19  2002/03/16 12:32:08  malekith
- added --with static
- thrown away BOOT
- removed unneeded br: lvm-devel

Revision 1.18  2002/02/23 05:29:54  kloczek
- adapterized.

Revision 1.17  2002/02/22 23:30:05  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/02/06 23:12:48  filon
- updated to 1.3.17 (bugfix)

Revision 1.15  2002/01/18 02:15:39  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2002/01/03 18:12:40  baggins
- run ldconfig in %%post(un)

Revision 1.13  2001/12/06 22:43:51  qboosh
- adapterized, cosmetics, pl spelling(!)
- release 3

Revision 1.12  2001/11/17 12:07:39  malekith
- boot subpackage
- rel 2

Revision 1.11  2001/11/11 21:23:58  misiek
- 1.3.13

Revision 1.10  2001/10/02 21:39:15  ankry
- changed version to 1.3.7
- moved shared libuuid support from patch to configure option

Revision 1.9  2001/09/17 06:05:13  jajcus
- include %{_mandir}/man5 too

Revision 1.8  2001/08/30 06:57:48  aflinta
- added BuildRequires: bash which is needed by install-sh
- added install-sh.patch, STBR

Revision 1.7  2001/08/29 07:52:56  aflinta
- started update to version 1.3.5, still needs some modifications :(

Revision 1.6  2001/06/04 15:54:12  baggins
- removed requires %%{name} from devel package (not needed)

Revision 1.5  2001/06/01 13:25:54  baggins
- added Requires %%{name} = %%{version} to devel package

Revision 1.4  2001/06/01 13:10:18  baggins
- updated to 1.2.7

Revision 1.3  2001/05/01 21:14:25  misiek
removed not needed requires in devel subpackage

Revision 1.2  2001/05/01 20:59:16  kloczek
- cosmetics.

Revision 1.1  2001/05/01 20:04:39  misiek
XFS filesystem utilities; initial pld release
